$fn=100;
module prism(l, w, h){
    polyhedron(
        points=[[0,0,0], [l,0,0], [l,w,0], [0,w,0], [0,w,h], [l,w,h]],
        faces=[[0,1,2,3],[5,4,3,2],[0,4,5,1],[0,3,4],[5,2,1]]
    );
}
module holes() {
    cylinder(3, 1.375, 1.375, false);
    translate([0, 132.08, 0]) cylinder(3, 1.375, 1.375, false);
    translate([0, 204.47, 0]) cylinder(3, 1.375, 1.375, false);
    translate([157.48, -22.86, 0]) cylinder(3, 1.375, 1.375, false);
    translate([157.48, 132.08, 0]) cylinder(3, 1.375, 1.375, false);
    translate([157.48, 204.47, 0]) cylinder(3, 1.375, 1.375, false);
    translate([203.2, -22.86, 0]) cylinder(3, 1.375, 1.375, false);
    translate([223.52, 132.08, 0]) cylinder(3, 1.375, 1.375, false);
}
module G5Holes() {
    translate([-33.5, 6.5, 0]) cylinder(7, 2.25, 2.25, false);
    translate([48.5, 6.5, 0]) cylinder(7, 2.25, 2.25, false);
    translate([59, 6.5, 0]) cylinder(7, 2.25, 2.25, false);
    translate([141, 6.5, 0]) cylinder(7, 2.25, 2.25, false);
    translate([-33.5, 203.5, 0]) cylinder(7, 2.25, 2.25, false);
    translate([141, 203.5, 0]) cylinder(7, 2.25, 2.25, false);
}
module Schwalbenschwanz() {
    cube([5, 5, 2]);
    translate([5, 0, 2]) rotate([0, 90, 0]) prism(2, 5, 2.5);
    rotate([0, -90, 0]) prism(2, 5, 2.5);
}
module part1() {
    translate([-7.5, -7.5, 0]) cube([100, 15, 2]);
    translate([-7.5, -7.5, 0]) cube([15, 100, 2]);
    translate([-41, -1, 0]) cube([40, 15, 2]);
    translate([39, -1, 0]) cube([30, 15, 2]);
    translate([-2.5, 92.5, 0]) Schwalbenschwanz();
    translate([92.5, 2.5, 0]) rotate([0, 0, -90]) Schwalbenschwanz();
}
module part2() {
    translate([-41, 196.97, 0]) cube([133.5, 15, 2]);
    translate([-7.5, 124.58, 0]) cube([100, 15, 2]);
    translate([-7.5, 92.5, 0]) cube([15, 119.47, 2]);
}
module part3() {
    translate([92.5, -7.5, 0]) cube([70, 15, 2]);
    translate([195.7, -30.36, 0]) cube([15, 122.86, 2]);
    translate([149.98, -30.36, 0]) cube([15, 122.86, 2]);
    translate([149.98, -30.36, 0]) cube([60, 15, 2]);
    translate([130, -1, 0]) cube([30, 15, 2]);
}
module part4() {
    translate([92.5, 196.97, 0]) cube([70, 15, 2]);
    translate([92.5, 124.58, 0]) cube([138.52, 15, 2]);
    translate([195.7, 92.5, 0]) cube([15, 46.14, 2]);
    translate([149.98, 92.5, 0]) cube([15, 119.47, 2]);
    translate([150, 190, 0]) rotate([0, 0, -45]) cube([90, 15, 2]);
    translate([92.5, 202, 0]) rotate([0, 0, 90]) Schwalbenschwanz();
    translate([92.5, 129.5, 0]) rotate([0, 0, 90]) Schwalbenschwanz();
    translate([160, 92.5, 0]) rotate([0, 0, 180]) Schwalbenschwanz();
    translate([206, 92.5, 0]) rotate([0, 0, 180]) Schwalbenschwanz();
}
module parts() {
    part1();
    difference() {
        part2();
        translate([-2.5, 92.5, -0.5]) scale([1, 1, 1.5]) Schwalbenschwanz();
        translate([92.5, 202, -0.5]) rotate([0, 0, 90]) scale([1, 1, 1.5]) Schwalbenschwanz();
    translate([92.5, 129.5, -0.5]) rotate([0, 0, 90]) scale([1, 1, 1.5]) Schwalbenschwanz();
    }
    difference() {
        part3();
        translate([92.5, 2.5, -0.5]) rotate([0, 0, -90]) scale([1, 1, 1.5]) Schwalbenschwanz();
        translate([160, 92.5, -0.5]) rotate([0, 0, 180]) scale([1, 1, 1.5]) Schwalbenschwanz();
    translate([206, 92.5, -0.5]) rotate([0, 0, 180]) scale([1, 1, 1.5]) Schwalbenschwanz();
    }
    part4();
}
difference() {
    parts();
    translate([0, 0, -0.5]) holes();
    translate([0, 0, -4.5]) G5Holes();
}